<?php
namespace ProVM\Performance;

use GuzzleHttp\Client;
use ProVM\Tests\Extension\AbstractPerformance;

class HomeTest extends AbstractPerformance
{
    protected Client $client;
    protected function setUp(): void
    {
        $this->client = new Client(['base_uri' => $_ENV['APP_URL']]);
    }

    public function testLoad(): void
    {
        $this->start();
        $this->client->get('/');
        $time = $this->end();
        $this->assertLessThanOrEqual(1000, $time);
    }
}
